///LEVELSHOTS

levelshots/KJ4_b5_cc_automap
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/KJ4_b5_cc.tga
      depthFunc equal
      rgbGen identity
   }
}

levelshots/KJ4_b5_cc_trans
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/KJ4_b5_cc.tga
      blendfunc blend
      rgbGen identity
      alphaGen vertex
   }
}

							/// SKYBOXES

textures/kj4/ame_nebula
{
	nocompress
	qer_editorimage env/ame_nebula/purplenebula_bk.tga
	
	q3map_sun 30 30 30	 0 768 768
	q3map_skylight 0 0
	sunshader textures/wormhole/kirby2
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	skyparms 768 - -
	skyparms env/ame_nebula/purplenebula - -
}

textures/signz/pushfun
{
	qer_editorimage textures/signz/pushfun.tga
	surfaceparm nolightmap
	surfaceparm pointlight
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/signz/pushfun.tga
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}

textures/signz/jpj
{
	qer_editorimage textures/signz/jpj.tga
	surfaceparm nolightmap
	surfaceparm pointlight
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/signz/jpj.tga
		blendFunc GL_ONE GL_ONE
	}
}


																								/// MAIN TEXTURES

textures/crystal_temple/black_nonsolid
{
	surfaceparm nonsolid
	implicitMask -
}


																								///// signs

textures/crystal_temple/activate
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/crystal_temple/welcome
{
	cull none
	nofog
	qer_editorimage textures/crystal_temple/welcome.tga
	surfaceparm nonsolid
	DeformVertexes autosprite
	{
		map textures/crystal_temple/welcome.tga
		blendfunc blend
		alphaFunc GE128
            
	}
}

textures/crystal_temple/waterjumps
{
	cull none
	nofog
	qer_editorimage textures/crystal_temple/waterjumps.tga
	surfaceparm nonsolid
	{
		map textures/crystal_temple/waterjumps.tga
		blendfunc blend
		alphaFunc GE128
            
	}
}

textures/crystal_temple/waterjumps2
{
	cull none
	nofog
	qer_editorimage textures/crystal_temple/waterjumps2.tga
	surfaceparm nonsolid
	{
		map textures/crystal_temple/waterjumps2.tga
		blendfunc blend
		alphaFunc GE128
            
	}
}

textures/crystal_temple/gammas
{
	cull none
	nofog
	surfaceparm nonsolid
	qer_editorimage textures/crystal_temple/gammas.tga
	{
		map textures/crystal_temple/gammas.tga
		blendfunc blend
		alphaFunc GE128
            
	}
}

textures/crystal_temple/pushjumps
{
	cull none
	nofog
	qer_editorimage textures/crystal_temple/pushjumps.tga
	surfaceparm nonsolid
	{
		map textures/crystal_temple/pushjumps.tga
		blendfunc blend
		alphaFunc GE128
            
	}
}

textures/crystal_temple/funjumps
{
	cull none
	nofog
	qer_editorimage textures/crystal_temple/funjumps.tga
	surfaceparm nonsolid
	{
		map textures/crystal_temple/funjumps.tga
		blendfunc blend
		alphaFunc GE128
            
	}
}

///RGB changeable grid colors <3 NEON TRON BITCHES

textures/crystal_temple/grid
{
	qer_editorimage textures/crystal_temple/grid.tga
	qer_trans 0.6
	q3map_backsplash 1 1
	q3map_surfacelight 768
	q3map_lightsubdivide 128
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/crystal_temple/grid.tga
		alphaFunc GE128
		rgbGen vertex
		rgbGen const ( 0.177295 0.971618 1.000000 )
	}
}

textures/crystal_temple/grid_pink
{
	qer_editorimage textures/crystal_temple/grid_pink.tga
	qer_trans 0.6
	q3map_backsplash 1 1
	q3map_surfacelight 768
	q3map_lightsubdivide 128
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/crystal_temple/grid.tga
		alphaFunc GE128
		rgbGen vertex
		rgbGen const ( 1.000000 0.177295 0.944884 )
	}
}

textures/crystal_temple/blue
{
	qer_trans 0.8
	qer_editorimage textures/crystal_temple/blue.tga
	q3map_backsplash 1 1
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/crystal_temple/blue.tga
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .1 .1
			tcMod scale 2 2
		blendfunc GL_ONE GL_ONE
	}
}

textures/crystal_temple/yellow
{
	qer_trans 0.8
	qer_editorimage textures/crystal_temple/yellow.tga
	q3map_backsplash 1 1
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/crystal_temple/yellow.tga
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .1 .1
			tcMod scale 2 2
		blendfunc GL_ONE GL_ONE
	}
}

textures/crystal_temple/purple1
{
	qer_trans 0.8
	qer_editorimage textures/crystal_temple/purple1.tga
	q3map_backsplash 1 1
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/crystal_temple/purple1.tga
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .1 .1
			tcMod scale 2 2
		blendfunc GL_ONE GL_ONE
	}
}

textures/crystal_temple/grey
{
	qer_trans 0.8
	qer_editorimage textures/crystal_temple/grey.tga
	q3map_backsplash 1 1
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/crystal_temple/grey.tga
		blendfunc GL_DST_COLOR GL_DST_COLOR
		tcgen environment
		rgbGen filter
	}
}

textures/crystal_temple/telewater_blue
{
	qer_trans 0.8
	qer_editorimage textures/crystal_temple/telewater_blue.tga
	q3map_globaltexture
	q3map_backsplash 1 1
	cull disable
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm lightfilter
	surfaceparm pointlight
	{
		map textures/crystal_temple/telewater_blue.tga
		blendFunc GL_ONE GL_ONE
		tcMod turb 0 0.05 0.5 0.15
		tcmod scroll 0.01 0.09
	}
}

textures/crystal_temple/blackvoid
{
	qer_trans 0.8
	qer_editorimage textures/crystal_temple/blackvoid.tga
	q3map_globaltexture
	cull disable
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm lightfilter
	surfaceparm pointlight
	{
		map textures/crystal_temple/blackvoid.tga
		blendFunc blend
//		tcmod scroll 0.01 0.09
	}
	{
		clampmap textures/crystal_temple/starfield.tga
		blendfunc blend
	}
}

textures/crystal_temple/star1
{
	qer_editorimage textures/crystal_temple/star1.tga
	cull none
	sort additive
	

	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/crystal_temple/star1.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 60
		rgbGen wave sawtooth .5 .5 .25 1.15
		alphaFunc GE128
		rgbGen vertex
		rgbGen const ( 1.000000 0.963058 0.000000 )
	}
}

textures/crystal_temple/star1_blue
{
	qer_editorimage textures/crystal_temple/star1.tga
	cull none
	sort additive
	

	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/crystal_temple/star1.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.3 .1 3.15
		tcMod rotate 20
		rgbGen wave sawtooth .2 .1 .25 2.15
		alphaFunc GE128
		rgbGen vertex
		rgbGen const ( 0.177295 0.971618 1.000000 )
	}
	
}

textures/crystal_temple/star1_green
{
	qer_editorimage textures/crystal_temple/star1.tga
	cull none
	sort additive
	

	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/crystal_temple/star1.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.3 .2 9.15
		tcMod rotate 40
		rgbGen wave sawtooth .5 .5 .12 2.15
		alphaFunc GE128
		rgbGen vertex
		rgbGen const ( 0.185229 1.000000 0.000000 )
	}
	
}

textures/crystal_temple/star2
{
	qer_editorimage textures/crystal_temple/star2.tga
	cull none
	sort additive
	

	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/crystal_temple/star2.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 3 -.2 .1 4.15
		tcMod rotate 50
		rgbGen wave sawtooth .7 .2 .85 6.15
		alphaFunc GE128
		rgbGen vertex
		rgbGen const ( 1 1 1 )
	}
	
}


textures/crystal_temple/GTK
{
	q3map_surfacelight 100
	qer_editorimage textures/crystal_temple/GTK.tga
	q3map_backsplash 1 1
	surfaceparm sky
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/crystal_temple/GTK.tga
		rgbGen identity
	}
}

textures/crystal_temple/GTK_nb
{
	q3map_surfacelight 100
	qer_editorimage textures/crystal_temple/GTK_nb.tga
	q3map_backsplash 1 1
	surfaceparm sky
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/crystal_temple/GTK_nb.tga
		rgbGen identity
	}
}

textures/crystal_temple/WHIT
{
	qer_editorimage textures/crystal_temple/WHIT.tga
	q3map_lightimage textures/crystal_temple/WHIT.tga
	surfaceparm nolightmap
	surfaceparm pointlight
	{
		map $lightmap
		rgbGen vertex
	}	
	{
		map textures/crystal_temple/WHIT.tga
		blendFunc GL_DST_COLOR GL_DST_COLOR
	}
}

textures/crystal_temple/bluelight
{
	qer_editorimage textures/crystal_temple/bluelight.tga
	q3map_lightimage textures/crystal_temple/bluelight.tga
	q3map_backsplash 1 1
	q3map_surfacelight 768
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/crystal_temple/bluelight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/crystal_temple/wall3
{
	surfaceparm nodamage
	implicitMask -
}

textures/crystal_temple/wall3OB
{
	surfaceparm nodamage
	implicitMask -
}

textures/crystal_temple/pipe2
{
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm metalsteps
	implicitMask -
}

textures/crystal_temple/icelake3
{
	qer_editorimage textures/snow_sd/icelake3.tga
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm lightfilter
	surfaceparm pointlight
	tesssize 768
	{
		map textures/crystal_temple/icelake3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen vertex
	}
}

textures/crystal_temple/modern
{
	qer_editorimage textures/crystal_temple/modern.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	deformVertexes autosprite
	nopicmip
	{
		clampmap textures/crystal_temple/modern.jpg
		blendfunc add
		tcMod rotate 720
		//  tcMod stretch sin 1.2 0.2 0 1.5 
		//  rgbGen wave triangle 0.8 2 0 9 
	}
}

textures/eriks/eriks_portal_big
{
	qer_editorimage textures/eriks/eriks_portal.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	portal
	{
		map textures/eriks/eriks_portal.jpg
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 99999
        }
}

textures/crystal_temple/nonsolid_portal
{
	qer_editorimage textures/common/nodrawnonsolid.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	portal
	{
		map textures/crystal_temple/black.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 99999
        }
}

textures/crystal_temple/neonblue_slick
{
	qer_editorimage textures/crystal_temple/neonbluesgtk.tga
	q3map_lightimage textures/crystal_temple/neonblue.tga
	q3map_surfacelight 768
	q3map_backsplash 1 1
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/crystal_temple/tinfx2.tga
		rgbGen filter
	}
	{
		map textures/crystal_temple/neonblue.tga
		blendFunc GL_DST_COLOR GL_DST_COLOR
	}
}

textures/crystal_temple/neonblue_solid
{
	qer_editorimage textures/crystal_temple/neonblue.tga
	q3map_surfacelight 768
	q3map_backsplash 1 1
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/crystal_temple/tinfx2.tga
		rgbGen identity
	}
	{
		map textures/crystal_temple/neonblue.tga
		blendFunc GL_DST_COLOR GL_DST_COLOR
	}
}

textures/crystal_temple/purple
{
	qer_editorimage textures/crystal_temple/purple.tga
	q3map_surfacelight 768
	q3map_backsplash 1 1
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/crystal_temple/tinfx2.tga
		rgbGen identity
	}
	{
		map textures/crystal_temple/purple.tga
	}
}

textures/crystal_temple/neonblue_nonsolid
{
	qer_editorimage textures/crystal_temple/neonblue_nonsolid.tga
	qer_trans 0.5
	q3map_surfacelight 768
	q3map_lightsubdivide 64
	q3map_backsplash 1 1
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm pointlight
	{
		map textures/crystal_temple/tinfx.tga
		tcgen environment
		rgbGen filter
		blendfunc add
	}
	{
		map textures/crystal_temple/neonblue_trans.tga
        tcMod turb 0 0.1 0 0.1
        tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
		rgbGen filter
	}
	
}

textures/crystal_temple/purple_nonsolid
{
	qer_editorimage textures/crystal_temple/purple_nonsolid.tga
	q3map_lightimage textures/crystal_temple/purple.tga
	q3map_backsplash 1 1
	q3map_surfacelight 768
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/crystal_temple/tinfx3.tga
		rgbGen filter
	}
	{
		map textures/crystal_temple/purple.tga
		blendFunc GL_ONE GL_DST_COLOR
	}
}

textures/crystal_temple/darkgrey_nonsolid
{
	qer_editorimage textures/crystal_temple/darkgrey_nonsolid.tga
	q3map_lightimage textures/crystal_temple/neonblue.tga
	q3map_backsplash 1 1
	q3map_surfacelight 768
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/crystal_temple/tinfx3.tga
		rgbGen filter
	}
	{
		map textures/crystal_temple/darkgrey.tga
		blendFunc GL_ONE GL_DST_COLOR
	}
}

textures/crystal_temple/purple_solidlight
{
	qer_editorimage textures/crystal_temple/purple.tga
	q3map_lightimage textures/crystal_temple/purple.tga
	q3map_backsplash 1 1
	q3map_surfacelight 768
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/crystal_temple/tinfx3.tga
		rgbGen filter
	}
	{
		map textures/crystal_temple/purple.tga
		blendFunc GL_ONE GL_DST_COLOR
	}
}

textures/crystal_temple/balloon_yellow
{
	qer_editorimage textures/crystal_temple/balloon_yellow.tga
	qer_trans 0.5
	q3map_backsplash 1 1
	q3map_surfacelight 768
	q3map_lightsubdivide 64
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm pointlight
	{
		map textures/crystal_temple/tinfx.tga
		tcgen environment
		rgbGen filter
		blendfunc add
	}
	{
		map textures/crystal_temple/balloon_yellow.tga
        tcMod turb 0 0.1 0 0.1
        tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
		rgbGen filter
	}
	
}

textures/crystal_temple/blue2
{
	qer_editorimage textures/crystal_temple/blue.tga 
	qer_trans 0.5
	q3map_backsplash 1 1
	q3map_surfacelight 768
	q3map_lightsubdivide 64
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm pointlight
	
	
	
	{
		map textures/crystal_temple/tinfx.tga
		tcgen environment
		rgbGen filter
		blendfunc filter
	}
	{
		map textures/crystal_temple/blue.tga
        tcMod turb 0 0.1 0 0.1
        tcmod scroll .1 .1
		blendfunc blend
		rgbgen identity
	}
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

			implicitMask -

}



textures/crystal_temple/string
{
	qer_editorimage textures/crystal_temple/string.tga
	q3map_backsplash 1 1
	q3map_surfacelight 128
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/crystal_temple/string.tga
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
	}
}



																												/////SKY BOXES


textures/wormhole/kirby //SUN
{
	cull none
	nofog
	{
		map textures/wormhole/kirby.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/wormhole/kirby2 //SUN MOVING
{
	cull none
	nofog
	qer_editorimage textures/wormhole/kirby2.tga
      DeformVertexes autosprite
	{
		map textures/wormhole/kirby2.tga
		blendfunc blend
		alphaFunc GE128
            
	}
}

textures/crystal_temple/wormhole_grid
{
	qer_editorimage textures/crystal_temple/wormhole_grid.tga
	qer_trans 0.5
	q3map_surfacelight 250
	q3map_lightsubdivide 64
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nonsolid
	{
		map textures/crystal_temple/tinfx.tga
		tcgen environment
		rgbGen filter
		blendfunc add
	}
	{
		map textures/crystal_temple/wormhole_grid.tga
        tcMod turb 0 0.1 0 0.1
        tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
		rgbGen filter
	}
	
}

																								//textures/wormhole/kirby_animated //need kirby flying star

																													///////// STAR FLOOR TEXTURES + FOG

textures/wormhole/spacefog
{
	qer_editorimage textures/sfx/fog_black.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.00001 0.00001 0.00001 ) 3192
}

textures/wormhole/space_icepatch
{
	qer_editorimage textures/wormhole/space_icepatch.tga
	q3map_globaltexture
	q3map_surfacelight 150
	cull disable
	surfaceparm nomarks
	surfaceparm lightfilter
	surfaceparm pointlight
	surfaceparm nonsolid
	deformVertexes wave 20 sin 0 4 3 1.5
	{
		map textures/wormhole/space_icepatch.tga
		blendFunc add
		rgbGen wave sin 0.1 0.03 0 0.4
		rgbgen identity
		detail
	}
}

textures/wormhole/starcircle
{
	qer_editorimage textures/wormhole/starcircle.tga
	q3map_globaltexture
	cull disable
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	
	deformVertexes wave 20 sin 0 4 3 1.5
	{
		map textures/wormhole/starcircle.tga
		blendFunc add
		rgbGen wave sin 0.1 0.01 0 0.1
		rgbgen identity
		detail
	}
}

textures/wormhole/seamlessspace
{
	qer_trans 0.9
	nocompress
	nofog
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm nonsolid
	{
		map textures/wormhole/seamlessspace.tga
		tcMod scroll -0.010 0
		blendFunc blend
		alphaFunc GE128
		rgbGen identity
	}
}

textures/wormhole/seamlessspace_path
{
	qer_trans 0.9
	nocompress
	nofog
	surfaceparm pointlight
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm trans
	{
		map textures/wormhole/seamlessspace_path.tga
		tcMod scroll 3.040 0
		blendfunc GL_ONE GL_ONE
		rgbGen filter
	}
}

textures/wormhole/seamlessspace_path2
{
	nocompress
	nofog
	surfaceparm pointlight
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm trans
	{
		map textures/wormhole/seamlessspace_path2.tga
		tcMod scroll 0.040 0
		blendfunc GL_ONE GL_ONE
		rgbGen filter
	}
}

																														///EXPERIMENTAL SHADERS

textures/crystal_temple/nonsolidladder
{
	qer_trans 0.8
	surfaceparm ladder
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm playerclip
	implicitMask -
}

textures/crystal_temple/balloon_yellow_clipnonsolid
{
	qer_editorimage textures/crystal_temple/balloon_yellow.tga
	qer_trans 0.5
	q3map_surfacelight 250
	q3map_lightsubdivide 64
	surfaceparm weapclip
	surfaceparm nonsolid
	surfaceparm monsterslick
//	surfaceparm monsterslicknorth //never
//	surfaceparm monsterslickeast //eat
//	surfaceparm monsterslicksouth //shredded
//	surfaceparm monsterslickwest //wheat
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm pointlight
	{
		map textures/crystal_temple/tinfx.tga
		tcgen environment
		rgbGen filter
		blendfunc add
	}
	{
		map textures/crystal_temple/balloon_yellow.tga
        tcMod turb 0 0.1 0 0.1
        tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
		rgbGen filter
	}
	
}

///URBAN TERROR GOODNESS!!!

textures/crystal_temple/bisque_glass
{
    qer_editorImage textures/cystal_temple/bisque_glass.tga
    qer_trans 0.3
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm slick
    {
        map textures/cystal_temple/bisque_glass.tga
	tcgen base
        blendFunc add
        rgbGen wave sin 0.25 0.015 0 0.6
    }
}

/// SUBWAY JUMP


textures/crystal_temple/telewater
{
	qer_editorimage textures/crystal_temple/telewater.tga
	q3map_globaltexture
	cull disable
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm lightfilter
	surfaceparm pointlight
	{
		map textures/crystal_temple/telewater.tga
		blendFunc GL_ONE GL_ONE
		tcMod turb 0 0.05 0.5 0.15
		tcmod scroll 0.01 0.09
	}
}