textures/watertorture/cloudsgrey
{
	qer_editorimage textures/watertorture_gtk/dimcloudsgrey_gtk.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 1000
	skyParms env/dimcloudsgrey/cloud 500 -
	{
		map textures/watertorture/dimcloudsgrey.tga
		blendfunc filter
		rgbGen identity
		tcMod scroll 0.01 -0.03
	}
}

textures/watertorture/cloudsblue
{
	qer_editorimage textures/watertorture_gtk/dimcloudsblue_gtk.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 1000
	skyParms env/dimcloudsblue/cloud 500 -
	{
		map textures/watertorture/dimcloudsblue.tga
		blendfunc filter
		rgbGen identity
		tcMod scroll 0.01 -0.03
	}
}

textures/watertorture/cloudsgreen
{
	qer_editorimage textures/watertorture_gtk/dimcloudsgreen_gtk.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 1000
	skyParms env/dimcloudsgreen/cloud 500 -
	{
		map textures/watertorture/dimcloudsgreen.tga
		blendfunc filter
		rgbGen identity
		tcMod scroll 0.01 -0.03
	}
}

textures/watertorture/cloudsred
{
	qer_editorimage textures/watertorture_gtk/dimcloudsred_gtk.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 1000
	skyParms env/dimcloudsred/cloud 500 -
	{
		map textures/watertorture/dimcloudsred.tga
		blendfunc filter
		rgbGen identity
		tcMod scroll 0.01 -0.03
	}
}

textures/watertorture/cloudspurple
{
	qer_editorimage textures/watertorture_gtk/dimcloudspurple_gtk.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 1000
	skyParms env/dimcloudspurple/cloud 500 -
	{
		map textures/watertorture/dimcloudspurple.tga
		blendfunc filter
		rgbGen identity
		tcMod scroll 0.01 -0.03
	}
}

// WATER BOXES

textures/watertorture/greenwater
	{
		qer_editorimage textures/watertorture_gtk/greenwater_gtk.tga
		qer_trans 0.98
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable	
	
		
		{ 
			map textures/watertorture/pool3d_5.tga
			blendFunc GL_SRC_COLOR GL_one
			rgbgen identity
			rgbGen const ( 0.25 0.25 0.25 )
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
	{ 
			map textures/watertorture/boxgreen.tga
			blendFunc GL_vertex GL_vertex
			rgbgen identity
	}
		{ 
			map textures/watertorture/greenwater.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
		}

		{ 
			map textures/watertorture/pool3d_3.tga
			blendFunc GL_SRC_COLOR GL_one
			rgbgen identity
			rgbGen const ( 0.25 0.25 0.25 )
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

textures/watertorture/redwater
	{
		qer_editorimage textures/watertorture_gtk/redwater_gtk.tga
		qer_trans 0.98
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
	
		
		{ 
			map textures/watertorture/pool3d_5.tga
			blendFunc GL_SRC_COLOR GL_one
			rgbgen identity
			rgbGen const ( 0.25 0.25 0.25 )
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
	{ 
			map textures/watertorture/boxred.tga
			blendFunc GL_vertex GL_vertex
			rgbgen identity
	}
		{ 
			map textures/watertorture/redwater.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
		}

		{ 
			map textures/watertorture/pool3d_3.tga
			blendFunc GL_SRC_COLOR GL_one
			rgbgen identity
			rgbGen const ( 0.25 0.25 0.25 )
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

textures/watertorture/bluewater
	{
		qer_editorimage textures/watertorture_gtk/bluewater_gtk.tga
		qer_trans 0.98
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
	
		
		{ 
			map textures/watertorture/pool3d_5.tga
			blendFunc GL_SRC_COLOR GL_one
			rgbgen identity
			rgbGen const ( 0.25 0.25 0.25 )
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
	{ 
			map textures/watertorture/boxblue.tga
			blendFunc GL_vertex GL_vertex
			rgbgen identity
	}
		{ 
			map textures/watertorture/bluewater.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
		}

		{ 
			map textures/watertorture/pool3d_3.tga
			blendFunc GL_SRC_COLOR GL_one
			rgbgen identity
			rgbGen const ( 0.25 0.25 0.25 )
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

textures/watertorture/purplewater
	{
		qer_editorimage textures/watertorture_gtk/purplewater_gtk.tga
		qer_trans 0.98
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
	
		
		{ 
			map textures/watertorture/pool3d_5.tga
			blendFunc GL_SRC_COLOR GL_one
			rgbgen identity
			rgbGen const ( 0.25 0.25 0.25 )
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	{ 
			map textures/watertorture/boxpurple.tga
			blendFunc GL_vertex GL_vertex
			rgbgen identity
	}
		{ 
			map textures/watertorture/purplewater.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
		}

		{ 
			map textures/watertorture/pool3d_3.tga
			blendFunc GL_SRC_COLOR GL_one
			rgbgen identity
			rgbGen const ( 0.25 0.25 0.25 )
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

textures/watertorture/greywater
	{
		qer_editorimage textures/watertorture_gtk/greywater_gtk.tga
		qer_trans 0.98
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable	
	
		
		{ 
			map textures/watertorture/pool3d_5.tga
			blendFunc GL_SRC_COLOR GL_one
			rgbgen identity
			rgbGen const ( 0.25 0.25 0.25 )
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}

	{ 
			map textures/watertorture/boxgrey.tga
			blendFunc GL_vertex GL_vertex
			rgbgen identity
	}
		{ 
			map textures/watertorture/greywater.tga
			blendFunc GL_dst_color GL_ONE_MINUS_DST_COLOR
			rgbgen identity
		}

		{ 
			map textures/watertorture/pool3d_3.tga
			blendFunc GL_SRC_COLOR GL_one
			rgbgen identity
			rgbGen const ( 0.25 0.25 0.25 )
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity
		}
	}

textures/watertorture/level1
{
	qer_editorimage textures/watertorture/level1.tga
	cull none
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		clampmap textures/watertorture/level1.tga
		blendfunc gl_one gl_one
		rgbgen wave noise 0.0 1 0 2
	}
}

textures/watertorture/level2
{
	qer_editorimage textures/watertorture/level2.tga
	cull none
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		clampmap textures/watertorture/level2.tga
		blendfunc gl_one gl_one
		rgbgen wave noise 0.0 1 0 2
	}
}

textures/watertorture/level3
{
	qer_editorimage textures/watertorture/level3.tga
	cull none
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		clampmap textures/watertorture/level3.tga
		blendfunc gl_one gl_one
		rgbgen wave noise 0.0 1 0 2
	}
}

textures/watertorture/level4
{
	qer_editorimage textures/watertorture/level4.tga
	cull none
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		clampmap textures/watertorture/level4.tga
		blendfunc gl_one gl_one
		rgbgen wave noise 0.0 1 0 2
	}
}

textures/watertorture/level5
{
	qer_editorimage textures/watertorture/level5.tga
	cull none
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		clampmap textures/watertorture/level5.tga
		blendfunc gl_one gl_one
		rgbgen wave noise 0.0 1 0 2
	}
}

textures/watertorture/waterjumptimeruns
{
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/watertorture/watertrixxweirdshiit
{
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/watertorture/waterpathtimeruns
{
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/watertorture/overbouncepronefun
{
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/watertorture/applesign
{
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/watertorture/boxwhite
{
	surfaceparm nodamage
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/watertorture/boxblue
{
	surfaceparm nodamage
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/watertorture/boxred
{
	surfaceparm nodamage
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/watertorture/boxgreen
{
	surfaceparm nodamage
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/watertorture/boxpurple
{
	surfaceparm nodamage
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/watertorture/teleglow
{
	qer_editorimage textures/watertorture/teleglow.tga
	cull none
	sort additive
	

	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/watertorture/teleglow.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15
	}
	{
		clampmap textures/watertorture/teleglow.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .6 1.5
	}
}

textures/watertorture/musicnotes
{
	qer_editorimage textures/watertorture/musicnotes.tga
	cull none
	sort additive
	

	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/watertorture/musicnotes.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15
	}
	{
		clampmap textures/watertorture/musicnotes.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .6 1.5
	}
}


textures/watertorture/save
{
	qer_editorimage textures/watertorture/save.tga
	cull none
	sort additive
	

	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/watertorture/save.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15
	}
	{
		clampmap textures/watertorture/save.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .3 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .6 1.5
	}
	{
		clampmap textures/watertorture/save.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate 70
		rgbGen wave sawtooth .75 .5 .6 1.5
	}
	{
		clampmap textures/watertorture/save.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .3 1.5
		tcMod rotate 180
		rgbGen wave sawtooth .75 .5 .6 1.5
	}
}

textures/watertorture/waternormal
	{
		qer_editorimage textures/watertorture/pool3d_5.jpg
		qer_trans 0.80
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
	
		
		{ 
			map textures/watertorture/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
		{ 
			map textures/watertorture/pool3d_32.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_dst_color
			rgbgen identity		
		}
	}
	
///GLASS BOXES
	
textures/watertorture/glassboxgrey
{
	qer_editorimage textures/watertorture/boxgrey.tga
	qer_trans 0.5
	cull none
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm glass
	{
		map textures/watertorture/glassgrey.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.25 0.25 )
	}
	
	{
		map textures/watertorture/envmap_slate_90.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcgen environment
		rgbGen const ( 0.25 0.25 0.25 )
	}
	{ 
		map textures/watertorture/boxgrey.tga
		blendFunc GL_vertex GL_vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/watertorture/glassboxblue
{
	qer_editorimage textures/watertorture/boxblue.tga
	qer_trans 0.5
	cull none
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm glass
	{
		map textures/watertorture/glassblue.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.25 0.25 )
	}
	
	{
		map textures/watertorture/envmap_slate_90.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcgen environment
		rgbGen const ( 0.25 0.25 0.25 )
	}
	{ 
		map textures/watertorture/boxblue.tga
		blendFunc GL_vertex GL_vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/watertorture/glassboxred
{
	qer_editorimage textures/watertorture/boxred.tga
	qer_trans 0.5
	cull none
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm glass
	{
		map textures/watertorture/glassred.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.25 0.25 )
	}
	
	{
		map textures/watertorture/envmap_slate_90.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcgen environment
		rgbGen const ( 0.25 0.25 0.25 )
	}
	{ 
		map textures/watertorture/boxred.tga
		blendFunc GL_vertex GL_vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/watertorture/glassboxgreen
{
	qer_editorimage textures/watertorture/boxgreen.tga
	qer_trans 0.5
	cull none
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm glass
	{
		map textures/watertorture/glassgreen.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.25 0.25 )
	}
	
	{
		map textures/watertorture/envmap_slate_90.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcgen environment
		rgbGen const ( 0.25 0.25 0.25 )
	}
	{ 
		map textures/watertorture/boxgreen.tga
		blendFunc GL_vertex GL_vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/watertorture/glassboxpurple
{
	qer_editorimage textures/watertorture/boxpurple.tga
	qer_trans 0.5
	cull none
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm glass
	{
		map textures/watertorture/glasspurple.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.25 0.25 )
	}
	
	{
		map textures/watertorture/envmap_slate_90.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcgen environment
		rgbGen const ( 0.25 0.25 0.25 )
	}
	{ 
		map textures/watertorture/boxpurple.tga
		blendFunc GL_vertex GL_vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

// ICE BOXES

textures/watertorture/icepurple
{
	qer_editorimage textures/watertorture_gtk/icepurple_gtk.tga
	qer_trans 0.5
	cull none
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm glass
	{
		map textures/watertorture/icepurple.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.25 0.25 )
	}
	
	{
		map textures/watertorture/envmap_slate_90.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcgen environment
		rgbGen const ( 0.25 0.25 0.25 )
	}
	{ 
		map textures/watertorture/boxpurple.tga
		blendFunc GL_vertex GL_vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/watertorture/icegrey
{
	qer_editorimage textures/watertorture_gtk/icegrey_gtk.tga
	qer_trans 0.5
	cull none
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm glass
	{
		map textures/watertorture/icegrey.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.25 0.25 )
	}
	
	{
		map textures/watertorture/envmap_slate_90.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcgen environment
		rgbGen const ( 0.25 0.25 0.25 )
	}
	{ 
		map textures/watertorture/boxgrey.tga
		blendFunc GL_vertex GL_vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/watertorture/iceblue
{
	qer_editorimage textures/watertorture_gtk/iceblue_gtk.tga
	qer_trans 0.5
	cull none
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm glass
	{
		map textures/watertorture/iceblue.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.25 0.25 )
	}
	
	{
		map textures/watertorture/envmap_slate_90.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcgen environment
		rgbGen const ( 0.25 0.25 0.25 )
	}
	{ 
		map textures/watertorture/boxgrey.tga
		blendFunc GL_vertex GL_vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/watertorture/icegreen
{
	qer_editorimage textures/watertorture_gtk/icegreen_gtk.tga
	qer_trans 0.5
	cull none
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm glass
	{
		map textures/watertorture/icegreen.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.25 0.25 )
	}
	
	{
		map textures/watertorture/envmap_slate_90.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcgen environment
		rgbGen const ( 0.25 0.25 0.25 )
	}
	{ 
		map textures/watertorture/boxgreen.tga
		blendFunc GL_vertex GL_vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/watertorture/icered
{
	qer_editorimage textures/watertorture_gtk/icered_gtk.tga
	qer_trans 0.5
	cull none
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm glass
	{
		map textures/watertorture/icered.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.25 0.25 )
	}
	
	{
		map textures/watertorture/envmap_slate_90.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcgen environment
		rgbGen const ( 0.25 0.25 0.25 )
	}
	{ 
		map textures/watertorture/boxred.tga
		blendFunc GL_vertex GL_vertex
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/crystal_temple/light_700
{
	qer_editorimage textures/crystal_temple/light_700.tga
	qer_trans 0.80
	q3map_surfacelight 150
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}